<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useFormattedNumber](./react.useformattednumber.md)

## useFormattedNumber() function

<b>Signature:</b>

```typescript
export declare function useFormattedNumber(value: number | undefined, formatter?: string): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  value | number \| undefined |  |
|  formatter | string | <i>(Optional)</i> |

<b>Returns:</b>

string

